Bug 905631 - Garbled display corruption with 3.7.3 and nVidia Corporation NV34 [GeForce FX 5200]
Garbled display corruption with 3.7.3 and nVidia Corporation NV34 [GeForce FX...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 14:35 EST by Orion Poplawski
Modified: 2013-07-03 17:14 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 17:14:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with drm.debug=4 3.6.11-5.fc17.i686.PAE - good (78.04 KB, text/plain)
2013-01-30 11:42 EST, Orion Poplawski
no flags Details
dmesg with drm.debug=4 3.8.0-0.rc5.git0.2.fc19.i686.PAE - bad (74.45 KB, text/plain)
2013-01-30 11:44 EST, Orion Poplawski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 58261 None None None Never
FreeDesktop.org 60516 None None None Never

  None (edit)
Description Orion Poplawski 2013-01-29 14:35:09 EST
Description of problem:

With kernel-PAE-3.7.3-101.fc17.i686 and:

01:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5200] (rev a1)

Display is completely garbled and unreadable.  Booting back to kernel-PAE-3.6.11-5.fc17.i686 is fine.

[    5.215667] nouveau  [  DEVICE][0000:01:00.0] BOOT0  : 0x034200b1
[    5.215672] nouveau  [  DEVICE][0000:01:00.0] Chipset: NV34 (NV34)
[    5.215675] nouveau  [  DEVICE][0000:01:00.0] Family : NV30
[    5.218908] nouveau  [   VBIOS][0000:01:00.0] checking PRAMIN for image...
[    5.262177] nouveau  [   VBIOS][0000:01:00.0] ... appears to be valid
[    5.262180] nouveau  [   VBIOS][0000:01:00.0] using image from PRAMIN
[    5.262184] nouveau  [   VBIOS][0000:01:00.0] BMP version 5.27
[    5.262281] nouveau  [   VBIOS][0000:01:00.0] version 04.34.20.22
[    5.263189] nouveau W[  PTIMER][0000:01:00.0] unknown input clock freq
[    5.263196] nouveau  [     PFB][0000:01:00.0] RAM type: DDR1
[    5.263199] nouveau  [     PFB][0000:01:00.0] RAM size: 128 MiB
[    5.274690] nouveau 0000:01:00.0: putting AGP V3 device into 8x mode
[    5.279039] nouveau  [     DRM] VRAM: 127 MiB
[    5.279044] nouveau  [     DRM] GART: 128 MiB
[    5.279144] nouveau  [     DRM] BMP BIOS found
[    5.279146] nouveau  [     DRM] BMP version 5.39
[    5.279149] nouveau  [     DRM] Bios version 04.34.20.22
[    5.279152] nouveau  [     DRM] DCB version 2.2
[    5.279156] nouveau  [     DRM] DCB outp 00: 01000300 000088b8
[    5.279159] nouveau  [     DRM] DCB outp 01: 02010310 000088b8
[    5.279161] nouveau  [     DRM] DCB outp 02: 01010312 00000000
[    5.279164] nouveau  [     DRM] DCB outp 03: 02020321 00000003
[    5.279246] nouveau  [     DRM] Loading NV17 power sequencing microcode
[    5.281259] nouveau  [     DRM] 0xB555: Parsing digital output script table
[    5.281745] nouveau  [     DRM] 1 available performance level(s)
[    5.281748] nouveau  [     DRM] 0:
[    5.281752] nouveau  [     DRM] c: core 249MHz memory 405MHz
[    5.286169] nouveau  [     DRM] MM: using M2MF for buffer copies
[    5.286182] nouveau  [     DRM] Setting dpms mode 3 on TV encoder (output 3)
[    5.367648] nouveau  [     DRM] allocated 1680x1050 fb: 0x9000, bo f463fe00
[    5.367813] fbcon: nouveaufb (fb1) is primary device
[    5.378179] nouveau  [     DRM] 0xB555: Parsing digital output script table
[    5.557204] fb1: nouveaufb frame buffer device
[    5.557212] [drm] Initialized nouveau 1.1.0 20120801 for 0000:01:00.0 on minor 0


Same with 3.7.5-101
Comment 1 Orion Poplawski 2013-01-29 14:37:38 EST
One Xorg.0.log difference:

< (II) [drm] nouveau interface version: 1.0.0
---
> (II) [drm] nouveau interface version: 1.1.0
348c348
< (II) NOUVEAU(0): Opened GPU channel 1
---
> (II) NOUVEAU(0): Opened GPU channel 0
352c352
< (II) NOUVEAU(0): GART: 128MiB available
---
> (II) NOUVEAU(0): GART: 127MiB available
Comment 2 Orion Poplawski 2013-01-30 11:42:55 EST
Created attachment 690493 [details]
dmesg with drm.debug=4 3.6.11-5.fc17.i686.PAE - good
Comment 3 Orion Poplawski 2013-01-30 11:44:03 EST
Created attachment 690495 [details]
dmesg with drm.debug=4 3.8.0-0.rc5.git0.2.fc19.i686.PAE - bad

Still a problem with rawhide nodebug kernel.
Comment 4 lee_matheson 2013-02-08 17:47:56 EST
I raised this upstream bug report on the nouveau driver with the 3.7.x kernel with the nVidia FX5200 graphic hardware which may be the same problem/bug: https://bugs.freedesktop.org/show_bug.cgi?id=60516
Comment 5 Bert DeKnuydt 2013-02-15 08:54:19 EST
I have (possibly) the same with NV17 (GeForce4 440 Go).

*) Under F17 and F18: 3.6.* kernel nouveau work perfectly.

*) Under F17 and F18: 3.7.* results in garbled 'noise'; not even the consoles
   are usable anymore.

   With option nouveau.modeset=0, consoles are ok, but X not.

   Moreover, in dmesg, it seems that the card is not even properly detected:
   no 
     [drm] nouveau 0000...
   lines at all; 

*) Under F16, with a 3.7.* kernel, the card works ok with the proprietary nvidia
   driver.
Comment 6 Bert DeKnuydt 2013-03-03 12:45:53 EST
No change with kernel-PAE-3.8.1-201.fc18.i686.
Comment 7 Orion Poplawski 2013-03-26 14:17:30 EDT
Same with kernel-PAE-3.8.3-103.fc17.i686
Comment 8 Orion Poplawski 2013-05-06 18:20:35 EDT
Apparently fixed by f6853faa85793bf23b46787e4039824d275453c2 in 3.9-rc2.  And 3.9.0-0.rc4.git0.2.fc20.i686.PAE seems to work fine for me.
Comment 9 Bert DeKnuydt 2013-05-10 02:50:02 EDT
On the above mentioned NV17, kernel-3.9.1-200.fc18, from Koji, solves the problem.
Comment 10 Fedora End Of Life 2013-07-03 17:09:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.